Index: dlls/comctl32/animate.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/animate.c,v
retrieving revision 1.38
diff -u -r1.38 animate.c
--- dlls/comctl32/animate.c	31 May 2002 23:25:43 -0000	1.38
+++ dlls/comctl32/animate.c	14 Jul 2002 16:04:52 -0000
@@ -917,7 +917,7 @@
 	return DefWindowProcA(hWnd, uMsg, wParam, lParam);
 
     default:
-	if (uMsg >= WM_USER)
+	if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 	    ERR("unknown msg %04x wp=%08x lp=%08lx\n", uMsg, wParam, lParam);
 
 	return DefWindowProcA(hWnd, uMsg, wParam, lParam);
Index: dlls/comctl32/comboex.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/comboex.c,v
retrieving revision 1.46
diff -u -r1.46 comboex.c
--- dlls/comctl32/comboex.c	31 May 2002 23:25:43 -0000	1.46
+++ dlls/comctl32/comboex.c	14 Jul 2002 16:04:53 -0000
@@ -2174,7 +2174,7 @@
 	    return COMBOEX_WindowPosChanging (infoPtr, (WINDOWPOS *)lParam);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",uMsg,wParam,lParam);
 	    return DefWindowProcW (hwnd, uMsg, wParam, lParam);
     }
Index: dlls/comctl32/datetime.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/datetime.c,v
retrieving revision 1.29
diff -u -r1.29 datetime.c
--- dlls/comctl32/datetime.c	31 May 2002 23:25:44 -0000	1.29
+++ dlls/comctl32/datetime.c	14 Jul 2002 16:04:53 -0000
@@ -1284,7 +1284,7 @@
 	return DATETIME_Destroy (hwnd, wParam, lParam);
 
     default:
-	if (uMsg >= WM_USER)
+	if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
 		     uMsg, wParam, lParam);
 	return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/flatsb.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/flatsb.c,v
retrieving revision 1.21
diff -u -r1.21 flatsb.c
--- dlls/comctl32/flatsb.c	31 May 2002 23:25:44 -0000	1.21
+++ dlls/comctl32/flatsb.c	14 Jul 2002 16:04:53 -0000
@@ -221,7 +221,7 @@
 	    return FlatSB_Destroy (hwnd, wParam, lParam);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
                     uMsg, wParam, lParam);
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/header.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/header.c,v
retrieving revision 1.47
diff -u -r1.47 header.c
--- dlls/comctl32/header.c	31 May 2002 23:25:44 -0000	1.47
+++ dlls/comctl32/header.c	14 Jul 2002 16:04:53 -0000
@@ -1768,7 +1768,7 @@
             return HEADER_SetFont (hwnd, wParam, lParam);
 
         default:
-            if (msg >= WM_USER)
+            if ((msg >= WM_USER) && (msg < WM_APP))
 		ERR("unknown msg %04x wp=%04x lp=%08lx\n",
 		     msg, wParam, lParam );
 	    return DefWindowProcA (hwnd, msg, wParam, lParam);
Index: dlls/comctl32/hotkey.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/hotkey.c,v
retrieving revision 1.20
diff -u -r1.20 hotkey.c
--- dlls/comctl32/hotkey.c	31 May 2002 23:25:44 -0000	1.20
+++ dlls/comctl32/hotkey.c	14 Jul 2002 16:04:53 -0000
@@ -343,7 +343,7 @@
 /*	case WM_SYSCHAR: */
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
 		     uMsg, wParam, lParam);
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/ipaddress.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/ipaddress.c,v
retrieving revision 1.25
diff -u -r1.25 ipaddress.c
--- dlls/comctl32/ipaddress.c	31 May 2002 23:25:44 -0000	1.25
+++ dlls/comctl32/ipaddress.c	14 Jul 2002 16:04:53 -0000
@@ -533,7 +533,7 @@
 	    return IPADDRESS_IsBlank (infoPtr);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n", uMsg, wParam, lParam);
 	    return DefWindowProcW (hwnd, uMsg, wParam, lParam);
     }
Index: dlls/comctl32/monthcal.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/monthcal.c,v
retrieving revision 1.33
diff -u -r1.33 monthcal.c
--- dlls/comctl32/monthcal.c	31 May 2002 23:25:44 -0000	1.33
+++ dlls/comctl32/monthcal.c	14 Jul 2002 16:04:55 -0000
@@ -2033,7 +2033,7 @@
     return MONTHCAL_Destroy(hwnd, wParam, lParam);
 
   default:
-    if(uMsg >= WM_USER)
+    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
       ERR( "unknown msg %04x wp=%08x lp=%08lx\n", uMsg, wParam, lParam);
     return DefWindowProcA(hwnd, uMsg, wParam, lParam);
   }
Index: dlls/comctl32/progress.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/progress.c,v
retrieving revision 1.22
diff -u -r1.22 progress.c
--- dlls/comctl32/progress.c	14 Jun 2002 00:01:44 -0000	1.22
+++ dlls/comctl32/progress.c	14 Jul 2002 16:04:56 -0000
@@ -360,7 +360,7 @@
 	return 0;
 
     default:
-        if (message >= WM_USER)
+        if ((message >= WM_USER) && (message < WM_APP))
 	    ERR("unknown msg %04x wp=%04x lp=%08lx\n", message, wParam, lParam );
         return DefWindowProcW( hwnd, message, wParam, lParam );
     }
Index: dlls/comctl32/rebar.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/rebar.c,v
retrieving revision 1.62
diff -u -r1.62 rebar.c
--- dlls/comctl32/rebar.c	31 May 2002 23:25:44 -0000	1.62
+++ dlls/comctl32/rebar.c	14 Jul 2002 16:04:56 -0000
@@ -4472,7 +4472,7 @@
 	    return REBAR_WindowPosChanged (infoPtr, wParam, lParam);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
 		     uMsg, wParam, lParam);
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/status.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/status.c,v
retrieving revision 1.48
diff -u -r1.48 status.c
--- dlls/comctl32/status.c	4 Jun 2002 00:52:01 -0000	1.48
+++ dlls/comctl32/status.c	14 Jul 2002 16:04:57 -0000
@@ -1223,7 +1223,7 @@
             return DefWindowProcW (hwnd, msg, wParam, lParam);
 
 	default:
-	    if (msg >= WM_USER)
+	    if ((msg >= WM_USER) && (msg < WM_APP))
 		ERR("unknown msg %04x wp=%04x lp=%08lx\n",
 		     msg, wParam, lParam);
 	    return DefWindowProcW (hwnd, msg, wParam, lParam);
Index: dlls/comctl32/tab.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/tab.c,v
retrieving revision 1.69
diff -u -r1.69 tab.c
--- dlls/comctl32/tab.c	20 Jun 2002 22:45:29 -0000	1.69
+++ dlls/comctl32/tab.c	14 Jul 2002 16:04:57 -0000
@@ -3175,7 +3175,7 @@
       return TAB_NCHitTest(hwnd, lParam);
 
     default:
-      if (uMsg >= WM_USER)
+      if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 	WARN("unknown msg %04x wp=%08x lp=%08lx\n",
 	     uMsg, wParam, lParam);
       return DefWindowProcA(hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/toolbar.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/toolbar.c,v
retrieving revision 1.118
diff -u -r1.118 toolbar.c
--- dlls/comctl32/toolbar.c	13 Jun 2002 22:04:45 -0000	1.118
+++ dlls/comctl32/toolbar.c	14 Jul 2002 16:04:59 -0000
@@ -5842,7 +5842,7 @@
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
 		     uMsg, wParam, lParam);
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/tooltips.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/tooltips.c,v
retrieving revision 1.44
diff -u -r1.44 tooltips.c
--- dlls/comctl32/tooltips.c	31 May 2002 23:25:44 -0000	1.44
+++ dlls/comctl32/tooltips.c	14 Jul 2002 16:04:59 -0000
@@ -2506,7 +2506,7 @@
 	    return TOOLTIPS_WinIniChange (hwnd, wParam, lParam);
 
 	default:
-	    if (uMsg >= WM_USER)
+	    if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 		ERR("unknown msg %04x wp=%08x lp=%08lx\n",
 		     uMsg, wParam, lParam);
 	    return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/trackbar.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/trackbar.c,v
retrieving revision 1.32
diff -u -r1.32 trackbar.c
--- dlls/comctl32/trackbar.c	31 May 2002 23:25:44 -0000	1.32
+++ dlls/comctl32/trackbar.c	14 Jul 2002 16:05:00 -0000
@@ -1767,7 +1767,7 @@
         return TRACKBAR_InitializeThumb (hwnd);
 
     default:
-        if (uMsg >= WM_USER)
+        if ((uMsg >= WM_USER) && (uMsg < WM_APP))
             ERR("unknown msg %04x wp=%08x lp=%08lx\n",
                  uMsg, wParam, lParam);
         return DefWindowProcA (hwnd, uMsg, wParam, lParam);
Index: dlls/comctl32/treeview.c
===================================================================
RCS file: /home/wine/wine/dlls/comctl32/treeview.c,v
retrieving revision 1.101
diff -u -r1.101 treeview.c
--- dlls/comctl32/treeview.c	31 May 2002 23:25:44 -0000	1.101
+++ dlls/comctl32/treeview.c	14 Jul 2002 16:05:01 -0000
@@ -5374,7 +5376,7 @@
 
     default:
 	/* This mostly catches MFC and Delphi messages. :( */
-	if (uMsg >= WM_USER)
+	if ((uMsg >= WM_USER) && (uMsg < WM_APP))
 	    TRACE("Unknown msg %04x wp=%08x lp=%08lx\n", uMsg, wParam, lParam);
 def:
 	return DefWindowProcA(hwnd, uMsg, wParam, lParam);
